Page MenuHomeFreeBSD

net-p2p/transmission: Update 3.00 -> 4.0.3 & modernize port.
ClosedPublic

Authored by mondo.debater_0q_icloud.com on Jul 7 2023, 2:25 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Feb 1, 10:16 AM
Unknown Object (File)
Thu, Feb 1, 10:14 AM
Unknown Object (File)
Thu, Feb 1, 10:11 AM
Unknown Object (File)
Thu, Feb 1, 10:09 AM
Unknown Object (File)
Thu, Feb 1, 9:57 AM
Unknown Object (File)
Wed, Jan 31, 1:45 AM
Unknown Object (File)
Jan 3 2024, 5:18 AM
Unknown Object (File)
Jan 1 2024, 1:07 AM

Details

Summary

Bug 269504
Reported by: dutchman01@quicknet.nl

What's new in 4.0.3

  • Resource Efficiency: code profiled and improved
  • Code Modernization: standardization on C++ tools
  • Support for BitTorrent v2 torrents & hybrid torrents
  • New web client
  • Lots of bug fixes
Test Plan

testport 13 amd64 all flavors

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

The www/transmission-web slave port should also be removed.

Lgtm else 👍🏻

This revision now requires changes to proceed.Jul 7 2023, 2:57 PM
  • net-p2p/transmission: rm old web slave port

lgtm

Do you need me to do anything prior to you approving the diff?

Looks good from my simple user point of view

This revision is now accepted and ready to land.Jul 8 2023, 11:07 AM

Arc diff did not like my rebase. Apologies for the spam.

net-p2p/transmission: revise to conform

-revise flavors to conform to existing slave ports
-update net-p2p/libutp
-revise to use system libutp and libfmt

Further revisions to conform to prior slave port style; fix distfile

Corrected typo; rely on bsd.port.mk to specify build type

  • net-p2p/transmission: 4.0.3 -> 4.0.4

    Updating D40910: net-p2p/transmission: Update 3.00 -> 4.0.4 & modernize port.

Updating D40910: net-p2p/transmission: Update 3.00 -> 4.0.4 & modernize port.

Incorporate edits to MOVED and net-p2p/Makefile
Automate unit testing as build option

This revision was not accepted when it landed; it landed in state Needs Review.Sep 10 2023, 4:13 PM
This revision was automatically updated to reflect the committed changes.